[in progress] OpenGL 3 Support (list of app titles and their status inside)

Discussion in 'Parallels Desktop for Mac Feature Suggestions' started by Docent, Apr 27, 2017.

Tags:
  1. UweF4

    UweF4 Bit Poster

    Messages:
    1
    Ich würde auch gerne DIALUX EVO 9.0 nutzen, bleibe aber an der nicht unterstützten openGL Version 3.2 hängen. Wieso gibt es laut Bedienungsanleitung nur für Linux un nicht für Windows das Feld 3D-Beschleunigung und damit die Möglichkeit die openGL nach Bedarf zu wählen?
     
  2. AnastatioL

    AnastatioL Bit Poster

    Messages:
    1
  3. StevenG6

    StevenG6 Bit Poster

    Messages:
    1
    X-Plane 11 (flight simulator)

    Comments: The installer won't even start up due to Linux having OpenGL 2 instead of 3. :-( The only way to get a Linux guest to even install X-Plane 11 and run it at all, is to turn off 3D altogether which then doesn't advertise to X-Plane that glx is available, and it works without it. (I guess.) Either way, it's soooo frustrating that now <n> years later, you still haven't updated your Linux host environment to provide OpenGL 3. :-(
     
  4. Granville

    Granville Bit Poster

    Messages:
    12
    As of the year 2020, the OpenGL version in the Linux driver of the latest Parallels Desktop Pro is till 2.1, which is kind of unacceptable. Many software require a minimum of version 3. For example, the famous 3D modeling software Blender needs an OpenGL of version 3.3 to launch.

    user@pop-os:~$ blender
    Error! GLX_ARB_create_context not available.
    Error! Unsupported graphics card or driver.
    A graphics card and driver with support for OpenGL 3.3 or higher is required.
    The program will now close.

    So please update the Linux video driver of Parallels for good. Thank you!
     
  5. davide25

    davide25 Bit Poster

    Messages:
    1
    we needs OpenGL 4.1 minimus to running 3D application
     
    JuanP12 likes this.
  6. PeterS61

    PeterS61 Bit Poster

    Messages:
    1
    We work with PaletteCad.
    Everything works well up to version 9.
    Now, with the new version PaletteCad 10, rendering (photo realism) no longer works.
    Please help me.
    This is important for my business.
    [Parallels #2753792] PaletteCad V10 + OpenGL 3.2
     

    Attached Files:

  7. JuanP12

    JuanP12 Bit Poster

    Messages:
    1
    Has there been any advance in this matter? We need OpenGL 4.1 at least on Windows 10 since last update.
    do you know of any way to install OpenGL on Win10 in parallels?
     
  8. GabyM

    GabyM Bit Poster

    Messages:
    1
    Dear @parallels, please demonstrate progress on OpenGL3. This thread is open for 3 years. At the same time VMWare Fusion is capable and doing OpenGL3 for Ubuntu 18, next to my parallels installation on the same Mac.
     
  9. alev

    alev Parallels Developers

    Messages:
    426
    Hi GabyM,
    The first post in the thread shows the progress that we have. What is the application that you use in Ubuntu, that require OpenGL3 and doesn't work in Parallels?
     
  10. alev

    alev Parallels Developers

    Messages:
    426
    Hi Juan,

    Sure, we are moving forward. Can you please name a particular application that requires OpenGL4.1 in your Windows VM?
     
  11. alev

    alev Parallels Developers

    Messages:
    426
    Hi David,
    Thank you for reporting!
    What is the name of the application?
     
  12. JuanP13

    JuanP13 Bit Poster

    Messages:
    1
    Hello Parallels developers.
    Recently i installed programs from CYPE and they need Open GL 3.3 as minimun. Please, could you fix it? is very important for me.
    The programs are:
    Open BIM COVID 19 v 2021.a
    Open BIM Layout v 2021.a
    Open BIM Vertical connections v 2021.a
    Im running parallels desktop 15 on a macbook pro 2016 with windows 8.1.
    Thanks.
     
    LeonardoB3 and JLSM like this.
  13. ArnaudB3

    ArnaudB3 Bit Poster

    Messages:
    1
    Hello,
    I need Open GL for Winner Design v12
    Many thanks :)
     
    Last edited by a moderator: Jul 20, 2020
  14. RenatoA1

    RenatoA1 Bit Poster

    Messages:
    2
    Hello,
    I need Open GL for Leica Cyclone Register 360 BLK edition.
    Tks
     
  15. RenatoA1

    RenatoA1 Bit Poster

    Messages:
    2
    This message appears after I changed the mode of parallels for game.
    I am using a MacBook Pro 2019 Intel Core i9 32GB ram Video Radeon Pro Vega 20 4GB
     

    Attached Files:

  16. MelvinaN

    MelvinaN Bit Poster

    Messages:
    17
    I agreed.
     
    Last edited by a moderator: Jul 30, 2020
  17. NuriaB

    NuriaB Bit Poster

    Messages:
    2
    I need support for opengl 3.3 - CYPE 2020

     
  18. Dmitry@Parallels

    Dmitry@Parallels Staff Member

    Messages:
    614
    Hi everyone! We just released a new Parallels Desktop version 16 with full support of OpenGL 3.3 Compatibility Profile - see what's new.
    We tried to check as many applications as possible, but some pieces of software are not that simple to obtain. The following applications verified as now working in Parallels Desktop 16:
    • DIALux evo 9
    • PalleteCAD v10
    • ProPresenter 6
    • SAMSON Connect
    • Rhinoceros 6 (improved support)
    But, there might be more OpenGL applications that now work in Parallels Desktop 16 (don't forget to update Parallels Tools). If you have any issue with an OpenGL application, and the app is not listed in the first post, please leave a message in this thread.
     
  19. NuriaB

    NuriaB Bit Poster

    Messages:
    2
     
  20. Fonsecae

    Fonsecae Bit Poster

    Messages:
    3
    Battle Brothers requires openGL 3.3 and has graphic glitches that make the game unplayable (Parallels 16 Pro, Mac Catalina)
     

Share This Page